Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 316787 Details for
Bug 455324
exportfs returns hostnames instead of IPs causing problems with nfsclient.sh
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Updated patch
rgmanager-nfsclient-cache.patch (text/plain), 2.51 KB, created by
Lon Hohberger
on 2008-09-15 21:31:55 UTC
(
hide
)
Description:
Updated patch
Filename:
MIME Type:
Creator:
Lon Hohberger
Created:
2008-09-15 21:31:55 UTC
Size:
2.51 KB
patch
obsolete
>diff --git a/rgmanager/src/resources/nfsclient.sh b/rgmanager/src/resources/nfsclient.sh >index 8abac13..f34d197 100755 >--- a/rgmanager/src/resources/nfsclient.sh >+++ b/rgmanager/src/resources/nfsclient.sh >@@ -119,6 +119,17 @@ meta_data() > <content type="boolean"/> > </parameter> > >+ <parameter name="service_name" inherit="service%name"> >+ <longdesc lang="en"> >+ Service this NFS export belongs to. Used for caching >+ exports on a per-service basis. >+ </longdesc> >+ <shortdesc lang="en"> >+ Service Name >+ </shortdesc> >+ <content type="string"/> >+ </parameter> >+ > </parameters> > > <actions> >@@ -318,13 +329,69 @@ status|monitor) > # > export OCF_RESKEY_target_regexp=$(echo $OCF_RESKEY_target | \ > sed -e 's/*/[*]/g' -e 's/?/[?]/g' -e 's/\./\\./g') >- exportfs -v | tr -d "\n" | sed -e 's/([^)]*)/\n/g' | grep -q \ >- "^${OCF_RESKEY_path}[\t ]*.*${OCF_RESKEY_target_regexp}" > >+ declare tmpfn >+ declare time_created time_now >+ declare -i delta=0 >+ >+ # >+ # Don't let anyone read the cache files. >+ # >+ umask 066 >+ if [ -n "$OCF_RESKEY_service_name" ]; then >+ >+ # >+ # For large #s of exports, we need to cache the information >+ # >+ >+ tmpfn=/tmp/nfsclient-status-cache-$OCF_RESKEY_service_name >+ >+ if [ -f "$tmpfn" ]; then >+ time_created=$(stat -c "%Y" $tmpfn) >+ time_now=$(date +"%s") >+ delta=$((time_now-time_created)) >+ fi >+ #echo "Cache age = $delta seconds" >+ else >+ delta=100 >+ # >+ # Create a different file if this is a separate instance >+ # >+ tmpfn=/tmp/nfsclient-status-cache-$$ >+ fi >+ >+ if ! [ -f "$tmpfn" ] || [ $delta -gt 30 ]; then >+ #echo "Create $tmpfn. Nonexistent / expired / no service name" >+ exportfs -v > $tmpfn >+ fi >+ >+ cat $tmpfn | tr -d "\n" | sed -e 's/([^)]*)/\n/g' | grep -iq \ >+ "^${OCF_RESKEY_path}[\t ]*.*${OCF_RESKEY_target_regexp}" > rv=$? >- if [ $rv -ne 0 ]; then >+ >+ if [ $rv -eq 0 ]; then >+ [ -z "$OCF_RESKEY_service_name" ] && rm -f $tmpfn >+ exit 0 >+ fi >+ >+ declare OCF_RESKEY_target_tmp=$(clufindhostname -i "$OCF_RESKEY_target") >+ if [ $? -ne 0 ]; then >+ [ -z "$OCF_RESKEY_service_name" ] && rm -f $tmpfn > ocf_log err "nfsclient:$OCF_RESKEY_name is missing!" >+ exit 1 >+ fi >+ >+ cat $tmpfn | tr -d "\n" | sed -e 's/([^)]*)/\n/g' | grep -q \ >+ "^${OCF_RESKEY_path}[\t ]*.*${OCF_RESKEY_target_tmp}" >+ rv=$? >+ >+ [ -z "$OCF_RESKEY_service_name" ] && rm -f $tmpfn >+ if [ $rv -eq 0 ]; then >+ exit 0 > fi >+ >+ ocf_log err "nfsclient:$OCF_RESKEY_name is missing!" >+ exit 1 > ;; > > recover)
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 455324
:
316120
| 316787